/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.ps.persistent;

import gov.va.med.fw.model.AbstractKeyedEntity;

import gov.va.med.esr.common.persistent.hibernate.AbstractKeyedEntityDAOTestCase;

import gov.va.med.ps.model.PersonVPID;

/**
 * Initial javadoc for class PersonVPIDTest. TODO - Add content here
 * 
 * @author DNS   BOHMEG
 */
public class PersonVPIDTest extends AbstractKeyedEntityDAOTestCase {	
	protected AbstractKeyedEntity setUpTestObject() { return new PersonVPID("VPID-" + System.currentTimeMillis()); }
	protected void modifyTestObject(AbstractKeyedEntity obj) {
		PersonVPID vpid = (PersonVPID) obj;		
		vpid.setVpidValue(vpid.getVpidValue() + "_mod");				
	}	
	protected QueryInfo[] getNamedQueries() {
		return new QueryInfo[] { new QueryInfo("getAll")  };
	}
}
